#include<iostream>
#include<vector>
using namespace std;
int main(){
    long long N,sum=0,a[1000][2];
    cin>>N;
    for(long long i=0;i<N;i++){
        cin>>a[i][0]>>a[i][1];
    }
    for(long long i=0;i<N;i++){
        for(long long j=i;j<N;j++){
            sum+=(a[i][0]-a[j][0])*(a[i][0]-a[j][0])+(a[i][1]-a[j][1])*(a[i][1]-a[j][1]);
        }
    }
    cout<<sum;
return 0;
}
